# $Revision: 1.12 $, $Date: 2011/09/27 21:47:30 $
%define		pkgname	binary
Summary:	Binary serialisation for Haskell values using lazy ByteStrings
Name:		ghc-%{pkgname}
Version:	0.5.0.2
Release:	7
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	6bf8f3d1441602c9ab09a75e3bd6e926
URL:		http://hackage.haskell.org/package/binary/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Efficient, pure binary serialisation using lazy ByteStrings. Haskell
values may be encoded to and from binary formats, written to disk as
binary, or sent over the network. Serialisation speeds of over 1 G/sec
have been observed, so this library should be suitable for high
performance scenarios.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
./Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

./Setup.lhs build
./Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

./Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
rm -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc

./Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc README todo
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghc-binary.spec,v $
Revision 1.12  2011/09/27 21:47:30  baggins
- release 7

Revision 1.11  2011/02/28 09:11:25  glen
- update packaging, %requires_eq dep on ghc

Revision 1.10  2011/02/24 11:32:10  glen
- release 5

Revision 1.9  2011/02/24 11:09:03  glen
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

Revision 1.8  2010/08/28 00:06:39  baggins
- release 3

Revision 1.7  2010/08/28 00:04:04  baggins
- requires_releq due to very unique ids in packages built with ghc 6.12+

Revision 1.6  2010/08/27 20:56:04  baggins
- rel 2

Revision 1.5  2010/08/27 20:29:22  baggins
- updated packaging to new template (ghc 6.12.3+)

Revision 1.4  2010/04/10 15:59:49  baggins
- docdir

Revision 1.3  2010/04/10 15:58:09  baggins
- rel 1
- template based

Revision 1.2  2010/04/08 21:18:18  baggins
- renamed to ghc-binary

Revision 1.1  2009/11/26 10:12:01  arekm
- initial

